dmeasure {pomp} | R Documentation

## dmeasure

### Description

`dmeasure` evaluates the probability density of observations given states.

### Usage

    ## S4 method for signature 'pomp'
    dmeasure(object, y, x, times, params, ..., log = FALSE)

### Arguments

`object` | an object of class ‘pomp’, or of a class that extends ‘pomp’. This will typically be the output of `pomp`, `simulate`, or one of the pomp inference algorithms.
`y` | a matrix containing observations. The dimensions of `y` are `nobs` x `ntimes`, where `nobs` is the number of observables and `ntimes` is the length of `times`.
`x` | an array containing states of the unobserved process. The dimensions of `x` are `nvars` x `nrep` x `ntimes`, where `nvars` is the number of state variables, `nrep` is the number of replicates, and `ntimes` is the length of `times`. One can also pass `x` as a named numeric vector, which is equivalent to the `nrep=1`, `ntimes=1` case.
`times` | a numeric vector (length `ntimes`) containing times. These must be in non-decreasing order.
`params` | a `npar` x `nrep` matrix of parameters. Each column is treated as an independent parameter set, in correspondence with the corresponding column of `x`.
`...` | additional arguments are ignored.
`log` | if TRUE, log probabilities are returned.

### Value

`dmeasure` returns a matrix of dimensions `nreps` x `ntimes`. If `d` is the returned matrix, `d[j,k]` is the likelihood (or log likelihood if `log = TRUE`) of the observation `y[,k]` at time `times[k]` given the state `x[,j,k]`.

### See Also

Specification of the measurement density evaluator: `dmeasure_spec`

Other pomp workhorses: `dprior`, `dprocess`, `flow`, `partrans`, `rinit`, `rmeasure`, `rprior`, `rprocess`, `skeleton`, `workhorses`

[Package pomp version 2.3 Index]